<form name="approvalDetail" role="form" class="mpm-form" novalidate #editForm="ngForm">
    <p-panel [toggleable]="true">
        <p-header>Detail</p-header>
        <jhi-sales-unit-requirement-detail-container
            [salesUnitRequirement]="salesUnitRequirement"
        ></jhi-sales-unit-requirement-detail-container>
        
                <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.back' | translate}}"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="button" (click)="confirmApprove()"
                label="Submit"
                class="flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>